Skip to main content
POST
/
api
/
{projectId}
/
jobs
/
export
/
wav
Export data as WAV
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/export/wav \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "retainCrops": true
}
'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/export/wav"

payload = { "retainCrops": True }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({retainCrops: true})
};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/export/wav', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "id": 12873488112,
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Body

application/json
retainCrops
boolean
required

Whether to retain crops and splits. If this is disabled, then the original files are returned (as they were uploaded).

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

id
integer
required

Job identifier. Status updates will include this identifier.

Example:

12873488112

error
string

Optional error description (set if 'success' was false)